## scilab 5.3.1

=== debian/changelog ===
scilab (5.3.1-3) unstable; urgency=low

  * Missing dependencies (Closes: #618709)
  * Improve dependencies

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 17 Mar 2011 23:09:52 +0100

scilab (5.3.1-2) unstable; urgency=low

  * Update of a check due to the recent update of libjgoodies-looks-java
    (Closes: #617274)
  * Force dependency on ocaml to version 3.11.2-3 in order to avoid bug
    #617404.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 05 Mar 2011 16:51:46 +0100

scilab (5.3.1-1) unstable; urgency=low

  * New upstream release
  * Japanese documentation added (package scilab-doc-ja)
  * Switch to dpkg-source 3.0 (quilt) format
  * Aurélien removed from uploader (MIA)
  * Updated description with Xcos

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2011 15:37:03 +0100

scilab (5.3.0-final-3) unstable; urgency=low

  * Some modelica binaries were missing in a package (scilab-full-bin).

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Feb 2011 21:02:42 +0100

scilab (5.3.0-final-2) unstable; urgency=low

  * Upload in Debian unstable
  * A file moved from a package to the other caused a bug (LP: #710419)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 07 Feb 2011 14:08:05 +0100

scilab (5.3.0-final-1) experimental; urgency=low

  * New upstream release
  * URL in the watch file updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Dec 2010 14:27:06 +0100

scilab (5.3.0-beta-5-1) experimental; urgency=low

  * New upstream release.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 25 Nov 2010 01:26:20 +0100

scilab (5.3.0-beta-4-3) experimental; urgency=low

  * Fix some lintian warnings

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Oct 2010 08:16:43 +0200

scilab (5.3.0-beta-4-2) experimental; urgency=low

  * Provide specific packages for javasci2 called libscilab2-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 04 Oct 2010 20:26:32 +0200

scilab (5.3.0-beta-4-1) experimental; urgency=low

  * New upstream release
  patch addchapter.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 28 Sep 2010 22:44:57 +0200

scilab (5.3.0-beta-3-2) experimental; urgency=low

  * Missing dep on libjlatexmath-fop-java

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 17 Sep 2010 18:11:22 +0200

scilab (5.3.0-beta-3-1) experimental; urgency=low

  * New upstream release
  * jhdf2.6.diff addchapter.diff full_support.diff sparc64.diff 
    z_cpudetection.diff better-feedback-on-lib-error.diff
    test_run_permission.diff renesas-sh.diff applied upstream.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 13:42:22 +0200

scilab (5.2.2-9) unstable; urgency=low

  * Fix a problem in the ia64 startup. (Closes: #593684)
  * Build the help file by increasing the amount of memory available to the JVM
    (Closes: #599149)
  * Fails the build when some key components are not built

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 05 Oct 2010 22:32:12 +0200

scilab (5.2.2-8) unstable; urgency=high

  * SECURITY UPDATE: 
    - (CVE-2010-3378) : Insecure library loading (Closes: #598422, #598423)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 30 Sep 2010 15:17:57 +0200

scilab (5.2.2-7) unstable; urgency=low

  * Fix a bad upload: Not binNMU-able (Closes: #597755)
  * Fix an issue with mips64. Thanks to Liushiwei (Closes: #593902)
  * Wrong recommends on sivp (Closes: #576475)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 23 Sep 2010 14:07:07 +0200

scilab (5.2.2-6) unstable; urgency=low

  * Fix a problem with the build system

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 18 Sep 2010 08:50:49 +0200

scilab (5.2.2-5) unstable; urgency=low

  [ Matthias Klose ]
  * Fix JVM detection for armv<anything> machines (Closes: #596509)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 12 Sep 2010 11:14:58 +0200

scilab (5.2.2-4) unstable; urgency=low

  * Fix a FTBFS under powerpc (conflicting declaration of basename)
    basename.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2010 22:20:42 +0200

scilab (5.2.2-3) unstable; urgency=low

  * Remove option -fwritable-string. writable-string.diff (Closes: #593114)
  * Fix a problem in the detection of sparc for sivp sparcstartup.diff
    (Closes: #591541)
  * Update copyright file to fix lintian warning:
    copyright-refers-to-deprecated-bsd-license-file
  * Standards-Version updated to version 3.9.1

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Aug 2010 16:03:13 +0200

scilab (5.2.2-2) unstable; urgency=low

  * Missing files in libjavasci (Closes: #585679)
  * libjavasci arch: all => any
  * Rpath back in business for sciscipy (Closes: #586746)
  * Set the exact dependencies on jgraphx (1.2.0.8). Too many compatibilities
    issues.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 27 Jun 2010 17:22:12 +0200

scilab (5.2.2-1) unstable; urgency=low

  * New upstream release
  * better-feedback-on-lib-error.diff, full_support.diff, renesas-sh.diff,
    s390javadetection.diff, sparc64.diff, test_run_permission.diff,
    z_cpudetection.diff removed (applied upstream)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Apr 2010 15:57:24 +0200

scilab (5.2.1-9) unstable; urgency=low

  * Add procps as a build dependency to make the watcher work (Closes: #577870)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 15 Apr 2010 10:26:23 +0200

scilab (5.2.1-8) unstable; urgency=low

  * Enable also the keep alive for Debian (sparc has some pbs on the 
   documentation build)
  * Update of the completion script
  * Update of the README.Debian file (Scilab is free since 5.0.0)
  * Fix a problem with the unitary tests (permission). Backport from upstream.
    test_run_permission.diff
  * In case of error on the library load, provide more feedbacks 
    better-feedback-on-lib-error.diff

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Apr 2010 22:12:44 +0200

scilab (5.2.1-7) unstable; urgency=low


