## scilab 5.3.2

=== debian/changelog ===
scilab (5.3.2-2) unstable; urgency=low

  * Add mips64 support (mips64.diff)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 20 Jun 2011 02:06:13 +0200

scilab (5.3.2-1) unstable; urgency=low

  * New upstream release (updateOfJgoodies.diff & wrongVersion.diff removed)
  * Standards-Version updated to version 3.9.2
  * Use .desktop provided in the upstream sources.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 Jun 2011 00:47:55 +0200

scilab (5.3.1-4) unstable; urgency=low

  * Fix the real name of the release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Apr 2011 17:27:22 +0200
