=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
 # Xcos
  libjgraphx-java (>= 1.4.1.0), libhdf5-serial-dev, libjhdf5-java (>= 2.6)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.scilab.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/debian-science/packages/scilab/trunk/
