=== debian/changelog ===
scilab (5.3.3-5) unstable; urgency=low

  * Update the error message of the demo when scilab-doc is not installed
  * Fix a build issues relative to LD_LIBRARY_PATH

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Dec 2011 11:33:45 +0100

scilab (5.3.3-4) unstable; urgency=low

  * Dependency fftw3-dev dropped (replaced by libfftw3-dev)
  * Fix some encoding issues which were causing Scilab to fail with
    the openjdk 7 (Closes: #888998)
  * Explicity the dependency on skinlf (Closes: #648060)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 12 Nov 2011 12:43:01 +0100

scilab (5.3.3-3) unstable; urgency=low

  * default-java-path.diff: For the usage of /usr/lib/jvm/default-java to
    detect the right path of Java (due to the multiarch changes in the
    openjdk) (Closes: #639924)
  * Fix a minor typo in the description

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 01 Sep 2011 22:59:30 +0200

scilab (5.3.3-2) unstable; urgency=low

  * Get ride of .la files (Closes: #633209)
  * Unused override removed
  * Fix some minor man warnings
  * Update the description of libscilab2-java (Remove warning
    duplicate-short-description)
  * Upstream changelog added (no-upstream-changelog)
  * Fix unneeded-build-dep-on-quilt & copyright-refers-to-symlink-license

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 24 Jul 2011 17:57:20 +0200

scilab (5.3.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 22 Jul 2011 19:30:56 +0200
