=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran, 
- default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), quilt,
+ default-jdk, chrpath, ocaml-nox (>= 3.11.2-3),
  tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, 
  gettext, libreadline-dev, pkg-config, procps,
 # numerical libraries
@@ -12,12 +12,13 @@
 # Java deps
  libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
+ libskinlf-java, 
 # Documentation 
  libjeuclid-core-java (>= 3.1.3), libbatik-java (>= 1.7), fop (>= 0.95), 
  javahelp2, libsaxon-java, libavalon-framework-java, docbook-xsl,
  libxml-commons-external-java,
 # Optional Scilab features
- pvm-dev, fftw3-dev | libfftw3-dev, libsuitesparse-dev (>= 3.4.0), 
+ pvm-dev, libfftw3-dev, libsuitesparse-dev (>= 3.4.0), 
  libmatio-dev,
 # latex rendering
  libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
@@ -41,7 +42,7 @@
 Description: Scientific software package - Command Line Interpreter
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -59,7 +60,7 @@
 Description: Scientific software package for numerical computations
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for control, signal
  processing, ...
  .
@@ -79,7 +80,7 @@
 Description: Scientific software package for numerical computations (data files)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -101,7 +102,7 @@
 Description: Scientific software package for numerical computations (include files)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -124,7 +125,7 @@
 Description: Scientific software package for numerical computations (minimal binary files)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -147,20 +148,21 @@
  libjlatexmath-java (>= 0.9.4), libjlatexmath-fop-java (>= 0.9.4),
  libjeuclid-core-java, libbatik-java (>= 1.7),  default-jre,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
- javahelp2, libjgraphx-java (>= 1.2.0.8), libjhdf5-java (>= 2.6), 
- ${misc:Depends}
+ javahelp2, libjgraphx-java (>= 1.2.0.8), libjhdf5-java (>= 2.6),
+ libskinlf-java, ${misc:Depends}
 Recommends: pvm
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.3)
 Description: Scientific software package for numerical computations (all binary files)                                                                     
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for
- control, signal processing, ...
- .
- This package also provides Xcos, a graphical editor to design hybrid
- dynamical systems models. Models can be designed, loaded, saved, compiled and
- simulated.
+ control, signal processing ...
+ .
+ This package also provides Xcos, a graphical editor to design hybrid
+ dynamical systems models. Models can be designed, loaded, saved, compiled and
+ simulated.
+ .
  Stable and efficient solution for industrial and academics needs, Xcos
  provides functionalities for modeling of mechanical systems (automotive,
  aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
@@ -168,19 +170,7 @@
  .
  This package contains the architecture specific binary files.
 
-#Package: scilab-xcos
-#Architecture: any
-#Depends: ${shlibs:Depends}, scilab-bin, ${misc:Depends}, libjgraphx-java, 
-# libjhdf5-java
-#Description: Scientific software package for numerical computations (binary files)
-# Scilab is a matrix-based scientific software package.
-# Scilab contains hundreds of built-in mathematical functions, rich
-# data structures (including polynomials, rationals,linear systems, lists,
-# etc...) and comes with a number of specific toolboxes for
-# control, signal processing, ...
-# .
-# This package contains the architecture specific binary files.
- 
+
 Package: scilab-minimal-bin-dbg
 Architecture: any
 Section: debug
@@ -191,7 +181,7 @@
 Description: Scientific software package (scilab-cli debugging symbols)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
@@ -215,7 +205,7 @@
 Description: Scientific software package (scilab debugging symbols)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -228,7 +218,7 @@
 Description: Scientific software package for numerical computations (Java API)
  Scilab is a matrix-based scientific software package.
  Scilab contains hundreds of built-in mathematical functions, rich 
- data structures (including polynomials, rationals,linear systems, lists, 
+ data structures (including polynomials, rationals, linear systems, lists, 
  etc...) and comes with a number of specific toolboxes for 
  control, signal processing, ...
  .
@@ -251,10 +241,21 @@
 Section: java
 Architecture: any
 Depends: ${shlibs:Depends}, scilab-full-bin (>= ${source:Version}), ${misc:Depends}
-Description: Scientific software package for numerical computations (Java API)
- Scilab is a matrix-based scientific software package.
- Scilab contains hundreds of built-in mathematical functions, rich
- data structures (including polynomials, rationals,linear systems, lists,
+Description: Scientific software package for numerical computations (Java v2 API)
+ Scilab is a matrix-based scientific software package.
+ Scilab contains hundreds of built-in mathematical functions, rich
+ data structures (including polynomials, rationals, linear systems, lists,
  etc...) and comes with a number of specific toolboxes for
  control, signal processing, ...
  .
+ This package also provides Xcos, a graphical editor to design hybrid
+ dynamical systems models. Models can be designed, loaded, saved, compiled and
+ simulated.
+ Stable and efficient solution for industrial and academics needs, Xcos
+ provides functionalities for modeling of mechanical systems (automotive,
+ aeronautics...), hydraulic circuits (dam, pipe modeling...), control systems,
+ etc. Modelica capabilities are also provided.
+ .
+ This package provided the javasci (version 2) interface.
+ .
+ This package contains the Java library (version 2) used to call Scilab's engine
