=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 include /usr/share/cdbs/1/rules/buildcore.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
-include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 # Detect the arch (with the naming of Sun)
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -12,8 +11,6 @@
 			$(filter $(DEB_HOST_ARCH)=%, $(archdir_map))))
 
 JAVA_HOME            := /usr/lib/jvm/default-java
-
-LD_LIBRARY_PATH = $(JAVA_HOME)/jre/lib/$(archdir)/:/usr/lib/libfakeroot/:$(JAVA_HOME)/jre/lib/$(archdir)/server:$(JAVA_HOME)/jre/lib/$(archdir)/native_threads/:$(DEB_DESTDIR)/usr/lib/scilab/
 
 DEB_CONFIGURE_NORMAL_ARGS += --prefix=$(DEB_CONFIGURE_PREFIX) \
 	--with-pvm --with-fftw --enable-relocatable \
@@ -46,17 +43,23 @@
 DEB_DH_SHLIBDEPS_ARGS_libscilab2-java = -Xusr/lib/jni/libjavasci2.so
 #DEB_MAKE_CHECK_TARGET = check
 
+DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X
+
 debian/stamp-autotools-files:
 	autoreconf
 
+common-install-arch::
+# Remove empty directories
+	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
+# Remove la files
+	find $(DEB_DESTDIR)/usr/lib/ -name '*.la' -delete
 
 install/scilab-data::
 # Fails the build if some basic file does not exist
 	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
 		exit 1; \
 	fi
-# Remove empty directories
-	find $(DEB_DESTDIR)/usr/share/scilab -type d -empty -delete
+
 # Remove extra license files to make lintian happier
 # See debian/copyright for them
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
@@ -141,6 +144,7 @@
 
 
 binary-install/scilab-minimal-bin::
+
 #	for file in $(DEB_DESTDIR)/usr/lib/scilab/*.so; do \
 #		chrpath -d $$file; \
 #	done
@@ -179,3 +183,4 @@
 clean::
 # Remove empty translation files
 	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
+	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
