## scilab 5.4.0-alpha-1

=== debian/changelog ===
scilab (5.4.0-alpha-1-1~exp3) experimental; urgency=low

  * Fix a French localization issues
  * Update the minimal version of libjhdf5
  * Fix a bug in the adddemo.diff patch. Also update the error message.

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 28 Dec 2011 11:32:41 +0100

scilab (5.4.0-alpha-1-1~exp2) experimental; urgency=low

  * Remove the bundled version of arpack and use arpack-ng (ie >= 3.0)
  * Some cleanup in the old patches

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 17 Dec 2011 12:19:01 +0100

scilab (5.4.0-alpha-1-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 16 Dec 2011 11:57:15 +0100
