=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: autoconf, automake, cdbs, debhelper (>= 7), gfortran, 
- default-jdk, chrpath, ocaml-nox (>= 3.11.2-3),
+ default-jdk, chrpath, ocaml-nox (>= 3.11.2-3), fakeroot,
  tcl8.5-dev, tk8.5-dev, libxml2-dev, libpcre3-dev, 
  gettext, libreadline-dev, pkg-config, procps,
 # numerical libraries
  libblas-dev | librefblas3-dev | libatlas-base-dev, liblapack-dev, 
+ libarpack2-dev (>= 3.0),
 # Java deps
- libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
+ libflexdock-java (>= 1.0), libjogl-java (>= 1.1.1), libgl1-mesa-dev,
  libjrosetta-java (>= 1.0.1), ant, libjgoodies-looks-java,
  libskinlf-java, 
 # Documentation 
@@ -23,7 +24,7 @@
 # latex rendering
  libjlatexmath-java (>= 0.9.4),  libjlatexmath-fop-java (>= 0.9.4),
 # Xcos
- libjgraphx-java (>= 1.4.1.0), libhdf5-serial-dev, libjhdf5-java (>= 2.6)
+ libjgraphx-java (>= 1.8.0.0), libhdf5-dev (>= 1.8.8), libjhdf5-java (>= 2.8.0), imagemagick
 Standards-Version: 3.9.2
 Homepage: http://www.scilab.org
 Vcs-Svn: svn://svn.debian.org/svn/debian-science/packages/scilab/trunk/
@@ -144,11 +145,11 @@
 Package: scilab-full-bin
 Architecture: any
 Depends: ${shlibs:Depends}, scilab-minimal-bin (= ${binary:Version}),
- libflexdock-java (>= 0.5.2), libjogl-java (>= 1.1.1), libjrosetta-java (>= 1.0.1),
+ libflexdock-java (>= 1.0), libjogl-java (>= 1.1.1), libjrosetta-java (>= 1.0.1),
  libjlatexmath-java (>= 0.9.4), libjlatexmath-fop-java (>= 0.9.4),
- libjeuclid-core-java, libbatik-java (>= 1.7),  default-jre,
+ libjeuclid-core-java, libbatik-java (>= 1.7), default-jre, bwidget,
  fop (>= 0.95), libsaxon-java, libavalon-framework-java, docbook-xsl,
- javahelp2, libjgraphx-java (>= 1.2.0.8), libjhdf5-java (>= 2.6),
+ javahelp2, libjgraphx-java (>= 1.8.0.0), libjhdf5-java (>= 2.8.0-1),
  libskinlf-java, ${misc:Depends}
 Recommends: pvm
 Replaces: scilab (<< 5.0), scilab-bin, scilab-minimal-bin (<< 5.3)
@@ -258,4 +259,3 @@
  .
  This package provided the javasci (version 2) interface.
  .
- This package contains the Java library (version 2) used to call Scilab's engine
