=== debian/rules ===
--- 
+++ 
@@ -43,10 +43,10 @@
 DEB_DH_SHLIBDEPS_ARGS_libscilab2-java = -Xusr/lib/jni/libjavasci2.so
 #DEB_MAKE_CHECK_TARGET = check
 
-DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X
+DEB_INSTALL_CHANGELOGS_ALL = CHANGES_5.3.X CHANGES_5.4.X
 
-debian/stamp-autotools-files:
-	autoreconf
+#debian/stamp-autotools-files:
+#	autoreconf
 
 common-install-arch::
 # Remove empty directories
@@ -59,12 +59,10 @@
 	if test ! -f $(DEB_DESTDIR)usr/share/scilab/modules/core/macros/lib; then \
 		exit 1; \
 	fi
-
 # Remove extra license files to make lintian happier
 # See debian/copyright for them
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/*/license.txt
 	rm $(DEB_DESTDIR)usr/share/scilab/contrib/toolbox_skeleton/license.txt 
-	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/BWidget-*/LICENSE.txt
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/tclsci/tcl/sciGUI/license.txt
 	rm $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/TAUCS_license.txt $(DEB_DESTDIR)usr/share/scilab/modules/umfpack/UMFPACK_license.txt
 
@@ -173,14 +171,14 @@
 install/scilab-cli::
 # Move icons
 	mkdir -p $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/
-	cp -R debian/tmp/usr/share/scilab/icons/scilab.xpm $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/
+	convert -resize "32x32" $(CURDIR)/desktop/scilab.png $(CURDIR)/debian/scilab-cli/usr/share/scilab-cli/icons/scilab.xpm
 
 install/scilab::
 # Move icons
-	mkdir -p $(CURDIR)/debian/scilab/usr/share/scilab/
-	mv debian/tmp/usr/share/scilab/icons/ $(CURDIR)/debian/scilab/usr/share/scilab/
+	mkdir -p $(CURDIR)/debian/scilab/usr/share/scilab/icons/
+	mv debian/tmp/usr/share/scilab/desktop/ $(CURDIR)/debian/scilab/usr/share/scilab/
+	convert -resize "32x32" $(CURDIR)/desktop/scilab.png $(CURDIR)/debian/scilab/usr/share/scilab/icons/scilab.xpm
 
 clean::
 # Remove empty translation files
 	[ -s modules/maple2scilab/locales/fr_FR/maple2scilab.po ] || rm -f modules/maple2scilab/locales/fr_FR/maple2scilab.po
-	[ -s modules/boolean/locales/fr_FR/boolean.po ] || rm -f modules/boolean/locales/fr_FR/boolean.po
